Package logilab :: Package common :: Module logging_ext :: Class ColorFormatter

[frames] | no frames]

# Class ColorFormatter

source code

           object --+
                    |
    logging.Formatter --+
                        |
                       ColorFormatter

    A color Formatter for the logging standard module.

    By default, colorize CRITICAL and ERROR in red, WARNING in orange, INFO in
    green and DEBUG in yellow.

    self.colors is customizable via the 'color' constructor argument (dictionary).

    self.colorfilters is a list of functions that get the LogRecord
    and return a color name or None.

Instance Methods

__init__(self, fmt=None, datefmt=None, colors=None) Initialize the formatter with specified format strings. | source code

format(self, record) Format the specified record as text. | source code

Inherited from `logging.Formatter`: `formatException`, `formatTime`, `usesTime` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `logging.Formatter`: `converter`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, fmt=None, datefmt=None, colors=None)
(Constructor)

source code

Initialize the formatter with specified format strings.

Initialize the formatter either with the specified format string, or a default as described above. Allow for specialized date formatting with the optional datefmt argument (if omitted, you get the ISO8601 format).

Overrides: object.__init__
  (inherited documentation)

### format(self, record)

source code

Format the specified record as text.

The record's attribute dictionary is used as the operand to a string formatting operation which yields the returned string. Before formatting the dictionary, a couple of preparatory steps are carried out. The message attribute of the record is computed using LogRecord.getMessage(). If the formatting string uses the time (as determined by a call to usesTime(), formatTime() is called to format the event time. If there is exception information, it is formatted using formatException() and appended to the message.

Overrides: logging.Formatter.format
  (inherited documentation)